-- MySQL dump 10.13  Distrib 5.6.42, for Linux (x86_64)
--
-- Host: localhost    Database: homeworksys
-- ------------------------------------------------------
-- Server version	5.6.42

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `admin`
--

DROP TABLE IF EXISTS `admin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `admin` (
  `adminid` bigint(20) NOT NULL,
  `adminname` varchar(30) NOT NULL,
  `adminpwd` varchar(24) NOT NULL,
  `admintel` varchar(15) NOT NULL,
  PRIMARY KEY (`adminid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin`
--

LOCK TABLES `admin` WRITE;
/*!40000 ALTER TABLE `admin` DISABLE KEYS */;
INSERT INTO `admin` VALUES (101,'李哈哈','123456','18311111111');
/*!40000 ALTER TABLE `admin` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `class`
--

DROP TABLE IF EXISTS `class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `class` (
  `classid` bigint(20) NOT NULL,
  `classmajor` varchar(30) NOT NULL,
  `classdepartment` varchar(30) NOT NULL,
  `classassistant` varchar(30) DEFAULT NULL,
  `classassistanttel` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`classid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `class`
--

LOCK TABLES `class` WRITE;
/*!40000 ALTER TABLE `class` DISABLE KEYS */;
INSERT INTO `class` VALUES (10,'计算机科学与技术专业','计算机专业','李辅零','18352109010'),(11,'智能科学与技术专业','计算机专业','李辅一','18352109011'),(12,'物理专业','理学院','李辅二','18352109012'),(13,'电子商务专业','经济管理学院','李辅三','18352109013'),(14,'自动化专业','自动化学院','李辅四','18352109014');
/*!40000 ALTER TABLE `class` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `classselectcourse`
--

DROP TABLE IF EXISTS `classselectcourse`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `classselectcourse` (
  `courseid` bigint(20) NOT NULL,
  `classid` bigint(20) NOT NULL,
  PRIMARY KEY (`courseid`,`classid`),
  KEY `FK_classselectcourse2` (`classid`),
  CONSTRAINT `FK_classselectcourse` FOREIGN KEY (`courseid`) REFERENCES `course` (`courseid`),
  CONSTRAINT `FK_classselectcourse2` FOREIGN KEY (`classid`) REFERENCES `class` (`classid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `classselectcourse`
--

LOCK TABLES `classselectcourse` WRITE;
/*!40000 ALTER TABLE `classselectcourse` DISABLE KEYS */;
INSERT INTO `classselectcourse` VALUES (101,10),(105,10),(106,10),(1010,10),(101,11),(102,11),(106,11),(107,11),(102,12),(103,12),(107,12),(108,12),(103,13),(104,13),(108,13),(109,13),(104,14),(105,14),(109,14),(1010,14);
/*!40000 ALTER TABLE `classselectcourse` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `course`
--

DROP TABLE IF EXISTS `course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course` (
  `courseid` bigint(20) NOT NULL,
  `teacherid` bigint(20) NOT NULL,
  `coursename` longtext NOT NULL,
  PRIMARY KEY (`courseid`),
  KEY `FK_teach` (`teacherid`),
  CONSTRAINT `FK_teach` FOREIGN KEY (`teacherid`) REFERENCES `teacher` (`teacherid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course`
--

LOCK TABLES `course` WRITE;
/*!40000 ALTER TABLE `course` DISABLE KEYS */;
INSERT INTO `course` VALUES (101,101,'语文'),(102,102,'数学'),(103,103,'英语'),(104,104,'物理'),(105,105,'化学'),(106,106,'政治'),(107,107,'历史'),(108,101,'地理'),(109,102,'生物'),(1010,103,'计算机');
/*!40000 ALTER TABLE `course` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `grade`
--

DROP TABLE IF EXISTS `grade`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `grade` (
  `gradeid` bigint(20) NOT NULL AUTO_INCREMENT,
  `studentid` bigint(20) NOT NULL,
  `courseid` bigint(20) NOT NULL,
  `grademarks` int(11) NOT NULL,
  `gradecomments` text,
  `gradedate` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`gradeid`),
  KEY `FK_csr_have2` (`courseid`),
  KEY `FK_stu_have` (`studentid`),
  CONSTRAINT `FK_csr_have2` FOREIGN KEY (`courseid`) REFERENCES `course` (`courseid`),
  CONSTRAINT `FK_stu_have` FOREIGN KEY (`studentid`) REFERENCES `student` (`studentid`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `grade`
--

LOCK TABLES `grade` WRITE;
/*!40000 ALTER TABLE `grade` DISABLE KEYS */;
/*!40000 ALTER TABLE `grade` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `homework`
--

DROP TABLE IF EXISTS `homework`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `homework` (
  `homeworkid` bigint(20) NOT NULL AUTO_INCREMENT,
  `courseid` bigint(20) NOT NULL,
  `teacherid` bigint(20) DEFAULT NULL,
  `homeworkcontext` text NOT NULL,
  `homeworkdate` varchar(50) DEFAULT NULL,
  `homeworkdeadline` varchar(50) DEFAULT NULL,
  `homeworkoffice` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`homeworkid`),
  KEY `FK_assign` (`teacherid`),
  KEY `FK_csr_have1` (`courseid`),
  CONSTRAINT `FK_assign` FOREIGN KEY (`teacherid`) REFERENCES `teacher` (`teacherid`),
  CONSTRAINT `FK_csr_have1` FOREIGN KEY (`courseid`) REFERENCES `course` (`courseid`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `homework`
--

LOCK TABLES `homework` WRITE;
/*!40000 ALTER TABLE `homework` DISABLE KEYS */;
/*!40000 ALTER TABLE `homework` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `student`
--

DROP TABLE IF EXISTS `student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student` (
  `studentid` bigint(20) NOT NULL,
  `classid` bigint(20) NOT NULL,
  `studentname` varchar(30) NOT NULL,
  `studentpwd` varchar(24) NOT NULL,
  `studenttel` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`studentid`),
  KEY `FK_cls_have` (`classid`),
  CONSTRAINT `FK_cls_have` FOREIGN KEY (`classid`) REFERENCES `class` (`classid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `student`
--

LOCK TABLES `student` WRITE;
/*!40000 ALTER TABLE `student` DISABLE KEYS */;
INSERT INTO `student` VALUES (101,10,'李零一','123456','183521090101'),(102,10,'李零二','123456','183521090102'),(103,10,'李零三','123456','183521090103'),(104,10,'李零四','123456','183521090104'),(105,10,'李零五','123456','183521090105'),(111,11,'李一一','123456','183521090111'),(112,11,'李一二','123456','183521090112'),(113,11,'李一三','123456','183521090113'),(114,11,'李一四','123456','183521090114'),(115,11,'李一五','123456','183521090115'),(121,12,'李二一','123456','183521090121'),(122,12,'李二二','123456','183521090122'),(123,12,'李二三','123456','183521090123'),(124,12,'李二四','123456','183521090124'),(125,12,'李二五','123456','183521090125'),(131,13,'李三一','123456','183521090131'),(132,13,'李三二','123456','183521090132'),(133,13,'李三三','123456','183521090133'),(134,13,'李三四','123456','183521090134'),(135,13,'李三五','123456','183521090135'),(141,14,'李四一','123456','183521090141'),(142,14,'李四二','123456','183521090142'),(143,14,'李四三','123456','183521090143'),(144,14,'李四四','123456','183521090144'),(145,14,'李四五','123456','183521090145');
/*!40000 ALTER TABLE `student` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teacher`
--

DROP TABLE IF EXISTS `teacher`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `teacher` (
  `teacherid` bigint(20) NOT NULL,
  `teachername` varchar(30) NOT NULL,
  `teacherpwd` varchar(24) NOT NULL,
  `teacheroffice` varchar(50) DEFAULT NULL,
  `teachertel` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`teacherid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teacher`
--

LOCK TABLES `teacher` WRITE;
/*!40000 ALTER TABLE `teacher` DISABLE KEYS */;
INSERT INTO `teacher` VALUES (101,'李一','123456','t101','18352109131'),(102,'李二','123456','t102','18352109132'),(103,'李三','123456','t103','18352109133'),(104,'李四','123456','t104','18352109134'),(105,'李五','123456','t105','18311111111'),(106,'李六','123456','t106','18352109136'),(107,'李七','123456','t107','18352109137');
/*!40000 ALTER TABLE `teacher` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-04-23 21:42:11
